<?php
/**
 * Created by PhpStorm.
 * User: hp
 * Date: 2017/11/22
 * Time: 14:15
 */

namespace App\Modules\SendOrder\Models;

use App\Modules\Book\Models\BookConfig;
use DB;
use Illuminate\Database\Eloquent\Model;

class SendOrderRechargeDayStat extends Model
{
    protected $table = 'send_order_recharge_day_stats';
    protected $fillable = ['send_order_id', 'book_name', 'bid', 'recharge_amount', 'order_num', 'paid_order_num',
        'unpaid_order_num', 'distribution_channel_id', 'paid_user_num', 'date'];

    /**
     * @param $data
     * @return bool
     */
    public static function insertData($data)
    {
        if (empty($data)) {
            return false;
        }

        return self::insert($data);
    }

    /**
     * @param $where
     * @return bool
     */
    public static function deleteData($where)
    {
        if (empty($where)) {
            return false;
        }

        return self::where($where)->delete();
    }
}
